pmarlen-web-ligth/src/main/java/com/pmarlen/jsf/ClienteMB.java
package com.pmarlen.jsf;

import com.pmarlen.backend.dao.ClienteDAO;
import com.pmarlen.backend.dao.DAOException;
import com.pmarlen.backend.model.Cliente;
import com.pmarlen.web.security.managedbean.SessionUserMB;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import org.primefaces.event.SelectEvent;

@ManagedBean(name="clienteMB")
@SessionScoped
public class ClienteMB  implements Serializable{
	private final Logger logger = Logger.getLogger(ClienteMB.class.getSimpleName());
	List<Cliente> entityList;
	Integer viewRows;
	Cliente selectedEntity;
	
	@PostConstruct
    public void init() {
		System.out.println("->ClienteMB: init.");
        try{
			entityList = ClienteDAO.getInstance().findAll();
		}catch(DAOException de){
			logger.severe(de.getMessage());
			entityList = new ArrayList<Cliente>();
		}
		System.out.println("->ClienteMB: init:entityList="+entityList);
		viewRows = 10;
    }
	
	public String reset() {
		System.out.println("->ClienteMB: rest.");
        init();
		return "/pages/cliente";
    }
	
	public void selectEntity(ActionEvent event){
		System.out.println("->ClienteMB: selectCliente.");
	}
	
	public void actionX(ActionEvent event){
		System.out.println("->ClienteMB: actionX.");
	}
	
	public void prepareForNew() {
		System.out.println("->ClienteMB prepareForNew");
		this.selectedEntity = new Cliente();
	}
	
	public void setSelectedEntity(Cliente selectedCliente) {
		System.out.println("->ClienteMB setSelectedCliente:"+selectedCliente);
		this.selectedEntity = selectedCliente;
	}
	
	public void save(){
		System.out.println("->ClienteMB: saveSelectedCliente:id:"+selectedEntity.getId());
		try{
			if(selectedEntity.getTelefonos().contains("0000")){
				throw new Exception("Telephone 0000 not allowed.");
			}
			
			int u=ClienteDAO.getInstance().update(selectedEntity);
			System.out.println("->ClienteMB: saveSelectedCliente: u="+u);
			FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "Guardar", "Ok se guardó correctamente"));
			reset();
		} catch(Exception e){
			FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Guardar", "Eror al guardar:"+e.getLocalizedMessage()));
			FacesContext.getCurrentInstance().validationFailed();
		}
		
	}

	public Cliente getSelectedEntity() {
		return selectedEntity;
	}
	
    public void onEntityChosen(SelectEvent event) {
        Integer entityId = (Integer) event.getObject();
        FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_INFO, "Entity Selected", "Id:" + entityId);
         
        FacesContext.getCurrentInstance().addMessage(null, message);
    }
	public List<Cliente> getEntityList() {
		return entityList;
	}
	
	public int getSizeList(){
		return entityList.size();
	}
	
	public void setViewRows(Integer viewRows) {
		this.viewRows = viewRows;
	}

	public Integer getViewRows() {
		return viewRows;
	}
}

pmarlen-web-ligth/src/main/webapp/pages/cliente.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        Cliente
    </ui:define>

    <ui:define name="body-title">
        Cliente
    </ui:define>

    <ui:define name="body">
		<h:form id="form1">
			
			<h:panelGrid columns="1" cellpadding="5" id="panel">
				
				<p:messages id="msgs" showDetail="true" autoUpdate="true" closable="true" />
				
				<p:dataTable var="cliente" value="#{clienteMB.entityList}"
							 paginator="true"
							 rows="#{clienteMB.viewRows}"
							 id="clientes"
							 paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{clienteMB.sizeList}]"
							 rowsPerPageTemplate="10,25,100">
					<f:facet name="header">
						OPCIONES :
						<p:commandButton	value="NUEVO" update=":form1:panel, :form2:dlg1Panel1" 
											actionListener="#{clienteMB.preprareForNew}" 
											icon="ui-icon-circle-plus" onsuccess="PF('dlg1').show();"/>
						
						<p:commandButton id="toggler" type="button" value="Columnas" style="float:right" icon="ui-icon-calculator" />
						<p:columnToggler datasource="clientes" trigger="toggler" />
					</f:facet>

					<p:column headerText="Id" sortBy="id">
						<h:outputText value="#{cliente.id}" />
					</p:column>

					<p:column headerText="RFC" sortBy="rfc">
						<h:outputText value="#{cliente.rfc}" />
					</p:column>

					<p:column headerText="RAZON SOCIAL" sortBy="razonSocial">
						<h:outputText value="#{cliente.razonSocial}" />
					</p:column>

					<p:column headerText="NOMBRE ESTABLECIMIENTO" sortBy="nombreEstablecimiento">
						<h:outputText value="#{cliente.nombreEstablecimiento}" />
					</p:column>
					
					<p:column headerText="CONTACTO" sortBy="contacto">
						<h:outputText value="#{cliente.contacto}" />
					</p:column>
					
					<p:column headerText="TELEFONOS" sortBy="telefonos">
						<h:outputText value="#{cliente.telefonos}" />
					</p:column>
					
					<p:column headerText="EMAIL" sortBy="email">
						<h:outputText value="#{cliente.email}" />
					</p:column>

					<p:column headerText="DIRECCIÓN" sortBy="direccion">
						<h:outputText value="#{cliente.direccion}" />
					</p:column>

					<p:column headerText="OBSERVACIONES" sortBy="observaciones">
						<h:outputText value="#{cliente.observaciones}" />
					</p:column>


					<p:column headerText="SELECT">

						<p:commandButton	value="X2" update=":form1:panel, :form2:dlg1Panel1" 
											actionListener="#{clienteMB.setSelectedEntity}" 
											icon="ui-icon-check" onsuccess="PF('dlg1').show();"/>

					</p:column>
					<f:facet name="footer">
						xx-xx
					</f:facet>
				</p:dataTable>

			</h:panelGrid>

		</h:form>
		
		<h:form id="form2">
			<p:dialog header="FORM Dialog" widgetVar="dlg1" minHeight="300" minWidth="400" modal="true" closable="false" resizable="true">
				<h:panelGrid columns="1" cellpadding="5" id="dlg1Panel1" width="100%">
					
					<p:messages id="messages" showDetail="true" autoUpdate="true" closable="true" />

					<h:panelGrid id="grid" columns="2" cellpadding="5" width="100%" 
								 columnClasses="columnWidth30 rightAlign, columnWidth70 leftAlign">

						<h:outputLabel for="cliente_id" value="ID:" style="font-weight:bold"/>                    
						<h:panelGrid columns="1" cellpadding="1">
							<p:inputText id="cliente_id" value="#{clienteMB.selectedEntity.id}" required="true" label="Id" size="3">
								<f:convertNumber integerOnly="true"/>
							</p:inputText>
							<p:message for="cliente_id" />	
						</h:panelGrid>

						<h:outputLabel for="cliente_rfc" value="RFC:" style="font-weight:bold"/>                    
						<h:panelGrid columns="1" cellpadding="1">
							<p:inputText id="cliente_rfc" value="#{clienteMB.selectedEntity.rfc}" required="true" label="RFC:" size="13">
								<f:validateLength minimum="12" maximum="13" />
							</p:inputText>
							<p:message for="cliente_rfc" />
						</h:panelGrid>
						
						<h:outputLabel for="cliente_razonSocial" value="RAZON SOCIAL:" style="font-weight:bold"/>                    
						<h:panelGrid columns="1" cellpadding="1">
							<p:inputText id="cliente_razonSocial" value="#{clienteMB.selectedEntity.razonSocial}" required="true" label="Razon Social:" size="25">
								<f:validateLength minimum="5" maximum="128" />
							</p:inputText>
							<p:message for="cliente_razonSocial" />
						</h:panelGrid>
						
						<h:outputLabel for="cliente_nombreEstablecimiento" value="Nombre Establecimiento:" style="font-weight:bold"/>                    
						<h:panelGrid columns="1" cellpadding="1">
							<p:inputText id="cliente_nombreEstablecimiento" value="#{clienteMB.selectedEntity.nombreEstablecimiento}" required="false" label="Nombre Establecimiento:" size="25">
								<f:validateLength minimum="5" maximum="128" />
							</p:inputText>
							<p:message for="cliente_nombreEstablecimiento" />
						</h:panelGrid>

						<h:outputLabel for="cliente_contacto" value="Contacto:" style="font-weight:bold"/>
						<h:panelGrid columns="1" cellpadding="1">
							<p:inputText id="cliente_contacto" value="#{clienteMB.selectedEntity.contacto}" required="false" label="Contacto:" size="25">
								<f:validateLength minimum="2" maximum="128" />
							</p:inputText>
							<p:message for="cliente_contacto" />
						</h:panelGrid>						
						
						<h:outputLabel for="cliente_telefonos" value="Telefonos:" style="font-weight:bold"/>
						<h:panelGrid columns="1" cellpadding="1">
							<p:inputText id="cliente_telefonos" value="#{clienteMB.selectedEntity.telefonos}" required="false" label="Telefonos:" size="15">
								<f:validateLength minimum="5" maximum="128" />
								<f:validateRegex pattern="[0-9]+([-,X]+[0-9]+)*" for="cliente_telefonos"/>
							</p:inputText>
							<p:message for="cliente_telefonos" />
						</h:panelGrid>					
					</h:panelGrid>

					<h:panelGrid columns="1" cellpadding="5" width="100%">
						<h:panelGroup>
							<p:commandButton	value="GUARDAR" icon="ui-icon-check" 
												validateClient="true" style="margin-right:10px"
												ajax="true"
												actionListener="#{clienteMB.save}"
												oncomplete="executeAfterUpdate()"
												update=":form1:clientes, grid, updatedBeforeOnComplete"/>

							<p:commandButton	value="CANCELAR" update="grid" icon="ui-icon-check" 
												ajax="true" process="@this"
												oncomplete="PF('dlg1').hide();">
								<p:resetInput target="grid" />
							</p:commandButton>
						</h:panelGroup>
					</h:panelGrid>

					<h:panelGroup id="updatedBeforeOnComplete">
						<script language="JavaScript" type="text/javascript">
							//
							function executeAfterUpdate() {
								//alert('facesContext.maximumSeverity=#{facesContext.maximumSeverity}, facesContext.messageList=#{facesContext.messageList}, facesContext.validationFailed=#{facesContext.validationFailed}');
								if ( #{facesContext.maximumSeverity==null or facesContext.maximumSeverity.ordinal=='1' or not facesContext.validationFailed} ) {
									//alert('ok, close dialog !');
									PF('dlg1').hide();
								}
							}
							//
						</script>
					</h:panelGroup>

				</h:panelGrid>
			</p:dialog>
		</h:form>
		
	</ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/historicoPedidosVenta.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        HISTORICO PEDIDOS
    </ui:define>

    <ui:define name="body-title">
        PEDIDOS DE VENTA EN PROCESO (YA SE HAN FACTURADO Y HASTA CANCELADOS)
    </ui:define>

    <ui:define name="body">		

		<h:form id="form1" rendered="true">

			<h:panelGrid columns="1" cellpadding="0" id="panel3" columnClasses="leftAlign" width="100%" >						

				<p:dataTable  var="pv" value="#{historicoPedidosVentaMB.pedidosVentas}"
							  paginator="true"
							  id="pvTable" emptyMessage="-- SIN ELEMENTOS --" 							  
							  rows="#{historicoPedidosVentaMB.viewRows}"
							  paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{historicoPedidosVentaMB.sizeList}]"
							  rowsPerPageTemplate="25,100,250,500">
					
					<f:facet name="header">
						OPCIONES :		
						<p:commandButton value="RECARGAR" actionListener="#{historicoPedidosVentaMB.refrescar}" update=":form1" icon="ui-icon-arrowrefresh-1-s"/>
					</f:facet>
					
					<p:column headerText="#" width="5%" sortBy="#{pv.id}">						
						<p:commandLink id="ajax" action="#{historicoPedidosVentaMB.editarPedido(pv.id)}" rendered="false">
							<h:outputText value="[#{pv.id}]" />
						</p:commandLink>
						<p:spacer width="10" rendered="false"/>
						
						<h:outputLink value="editarPedidoVenta.jsf" >
							<h:outputText value="#{pv.id}" />
							<p:ajax event="click" listener="#{historicoPedidosVentaMB.editarPedido(pv.id)}"/>
						</h:outputLink>
					</p:column>
					
					<p:column headerText="ESTADO / FECHA" width="10%">
						<p:panelGrid columns="1" columnClasses="centerAlign" style="border: none; border-collapse: none; ">
							<h:outputText value="#{pv.estadoDescripcion}" />
							<h:outputText value="#{pv.fechaCreo}" />
						</p:panelGrid>
						
					</p:column>
					
					<p:column headerText="CLIENTE" width="25%">
						<p:panelGrid columns="2" columnClasses="rightAlign,leftAlign">
							<h:outputText value="R.F.C. :" />
							<h:outputText value="#{pv.clienteRFC}" />
							<h:outputText value="RAZÓN SOCIAL :" />
							<h:outputText value="#{pv.clienteRazonSocial}" />
							<h:outputText value="NOMBRE ESTAB.:" />
							<h:outputText value="#{pv.clienteNombreEstablecimiento}" />							
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="DATOS" width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,leftAlign">
							<h:outputText value="USUARIO CREÓ :" />
							<h:outputText value="#{pv.usuarioNombreCompleto}" />
							<h:outputText value="ELEMENTOS :" />
							<h:outputText value="#{pv.numElementos}" />
							<h:outputText value="FORMA DE PAGO :" />
							<h:outputText value="#{pv.formaDePagoDescripcion}" />
							<h:outputText value="METODO DE PAGO:" />
							<h:outputText value="#{pv.metodoDePagoDescripcion}" />
							<h:outputText value="FOLIO FACTURA:"/>
							<h:outputText value="#{pv.cdfNumCFD}" />
							
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="IMPORTE - DESC." width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,rightAlign">
							<h:outputText value="IMPORTE BRUTO :" />
							<h:outputText value="#{pv.importeBruto}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE NO GRAVADO :" />
							<h:outputText value="#{pv.importeNoGravado}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE I.V.A. :" />
							<h:outputText value="#{pv.importeIVA}" title="FACTOR I.V.A.= ${historicoPedidosVentaMB.getImporteMoneda(pv.factoriva)}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>									
							
							<h:outputText value="- DESCUENTOS :" />
							<h:outputText value="#{pv.porcentajeDescuentoCalculado}% + #{pv.porcentajeDescuentoExtra}% = #{historicoPedidosVentaMB.getImporteMoneda(pv.importeDescuento)}" />
							
							<h:outputText value="TOTAL :" />
							<h:outputText value="#{pv.importeTotal}" styleClass="littleLabel_bold_right">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
						</p:panelGrid>
					</p:column>

					<f:facet name="footer">

						<h:outputText value="ELEMENTOS : #{historicoPedidosVentaMB.sizeList}" rendered="true"/>

					</f:facet>
				</p:dataTable>

			</h:panelGrid>
		</h:form>

	</ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/home.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">
    
    <ui:define name="title">
        PM > INICIO
    </ui:define>

    <ui:define name="body-title">
        INICIO
    </ui:define>
    
    <ui:define name="body">
		<h:form id="formHome">
			
			<p>
				<br/>
				<br/>
				<br/>
				<br/>
				<br/>
				<br/>
			</p>
			<h2>
				<p>Este sistema tiene por objetivo el flujo de ciclo de vida de un Pedido, en Perfumeria Marlen.</p>
				<p>La administración de Materiales y Procedimientos de Venta.</p>
				<p>Los Reportes estadisticos de Pedidos. </p>
			</h2>
			<p>
				<br/>
				<br/>
				<br/>
				<br/>
				<br/>
				<br/>
			</p>			
		</h:form>		
    </ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/pedidosVenta.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        PEDIDOS DE VENTA
    </ui:define>

    <ui:define name="body-title">
        PEDIDOS DE VENTA EN PROCESO (PENDIENTES DE REVISAR, SURTIR y FACTURAR)
    </ui:define>

    <ui:define name="body">		

		<h:form id="form1" rendered="true">

			<h:panelGrid columns="1" cellpadding="0" id="panel3" columnClasses="leftAlign" width="100%" >						

				<p:dataTable  var="pv" value="#{pedidosVentaMB.pedidosVentas}"
							  paginator="true"
							  id="pvTable" emptyMessage="-- SIN ELEMENTOS --" 							  
							  rows="#{pedidosVentaMB.viewRows}"
							  paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{pedidosVentaMB.sizeList}]"
							  rowsPerPageTemplate="25,100,250,500">
					
					<f:facet name="header">
						OPCIONES :		
						<p:commandButton value="RECARGAR" actionListener="#{pedidosVentaMB.refrescar}" update=":form1" icon="ui-icon-arrowrefresh-1-s"/>
					</f:facet>
					
					<p:column headerText="#" width="5%" sortBy="#{pv.id}">						
						<p:commandLink id="ajax" action="#{pedidosVentaMB.editarPedido(pv.id)}" rendered="false">
							<h:outputText value="[#{pv.id}]" />
						</p:commandLink>
						<p:spacer width="10" rendered="false"/>
						
						<h:outputLink value="editarPedidoVenta.jsf" >
							<h:outputText value="#{pv.id}" />
							<p:ajax event="click" listener="#{pedidosVentaMB.editarPedido(pv.id)}"/>
						</h:outputLink>
					</p:column>
					
					<p:column headerText="ESTADO / FECHA" width="10%">
						<p:panelGrid columns="1" columnClasses="centerAlign" style="border: none; border-collapse: none; ">
							<h:outputText value="#{pv.estadoDescripcion}" />
							<h:outputText value="#{pv.fechaCreo}" />
						</p:panelGrid>
						
					</p:column>
					
					<p:column headerText="CLIENTE" width="25%">
						<p:panelGrid columns="2" columnClasses="rightAlign,leftAlign">
							<h:outputText value="R.F.C. :" />
							<h:outputText value="#{pv.clienteRFC}" />
							<h:outputText value="RAZÓN SOCIAL :" />
							<h:outputText value="#{pv.clienteRazonSocial}" />
							<h:outputText value="NOMBRE ESTAB.:" />
							<h:outputText value="#{pv.clienteNombreEstablecimiento}" />							
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="DATOS" width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,leftAlign">
							<h:outputText value="USUARIO CREÓ :" />
							<h:outputText value="#{pv.usuarioNombreCompleto}" />
							<h:outputText value="ELEMENTOS :" />
							<h:outputText value="#{pv.numElementos}" />
							<h:outputText value="FORMA DE PAGO :" />
							<h:outputText value="#{pv.formaDePagoDescripcion}" />
							<h:outputText value="METODO DE PAGO:" />
							<h:outputText value="#{pv.metodoDePagoDescripcion}" />							
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="IMPORTE - DESC." width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,rightAlign">
							<h:outputText value="IMPORTE BRUTO :" />
							<h:outputText value="#{pv.importeBruto}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE NO GRAVADO :" />
							<h:outputText value="#{pv.importeNoGravado}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE I.V.A. :" />
							<h:outputText value="#{pv.importeIVA}" title="FACTOR I.V.A.= ${pedidosVentaMB.getImporteMoneda(pv.factoriva)}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>									
							
							<h:outputText value="- DESCUENTOS :" />
							<h:outputText value="#{pv.porcentajeDescuentoCalculado}% + #{pv.porcentajeDescuentoExtra}%  = #{pedidosVentaMB.getImporteMoneda(pv.importeDescuento)}" />
							
							<h:outputText value="TOTAL :" />
							<h:outputText value="#{pv.importeTotal}" styleClass="littleLabel_bold_right">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
						</p:panelGrid>
					</p:column>

					<f:facet name="footer">

						<h:outputText value="ELEMENTOS : #{pedidosVentaMB.sizeList}" rendered="true"/>

					</f:facet>
				</p:dataTable>

			</h:panelGrid>
		</h:form>

	</ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/pendiente.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">
    
    <ui:define name="title">
        PM > INICIO
    </ui:define>

    <ui:define name="body-title">
        INICIO
    </ui:define>
    
    <ui:define name="body">
		<h:form id="formHome">
			<p>ESTAMOS TRABAJANDO</p>				
			<h:graphicImage value="/images/estamos_trabajando.png"/>	

		</h:form>		
    </ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/productoCatSimple.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        Producto
    </ui:define>

    <ui:define name="body-title">
        Producto
    </ui:define>

    <ui:define name="body">
		<h:form id="form1">

			<h:panelGrid columns="1" cellpadding="5" id="panel" width="100%">

				<p:messages id="msgs" showDetail="true" autoUpdate="true" closable="true" />

				<p:dataGrid   var="producto" value="#{productoCatSimple.entityList}"
							 columns="4" rows="24" paginator="true" 
							 id="productoTable"
							 paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{productoCatSimple.sizeList}]"
							 rowsPerPageTemplate="12,24,40">

					<p:panel header="#{producto.codigoBarras}" style="text-align:center">

						<h:panelGrid columns="1" style="width:100%">

							<h:outputText value="#{producto.nombre}" />

							<h:outputText value="#{producto.presentacion}" />
							
							<h:outputText value="#{producto.marca}" />
							
							<h:outputText value="#{producto.linea}" />
							
							<h:outputText value="#{producto.contenido} #{producto.unidadMedida}" />
							
							<p:commandButton update="@form" icon="ui-icon-cart"/>
							
							<p:graphicImage value="/images/turboload/Logo_T2.gif" alt="(LOGO)" title="IMG"/>

						</h:panelGrid></p:panel>

					<f:facet name="footer">
						xx-xx
					</f:facet>
				</p:dataGrid>

			</h:panelGrid>

		</h:form>

	</ui:define>

</ui:composition>